Package: grails.rest.render.errors

## [Groovy] Class AbstractVndErrorRenderer

- grails.rest.render.errors.AbstractVndErrorRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer<org.springframework.validation.Errors, java.lang.Object>

      @groovy.transform.CompileStatic
      abstract class AbstractVndErrorRenderer
      extends java.lang.Object
      implements ContainerRenderer<org.springframework.validation.Errors, java.lang.Object>

  Abstract super type for Vnd.Error renderers

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `HREF_ATTRIBUTE` |
    `static java.lang.String` | `LOGREF_ATTRIBUTE` |
    `static java.lang.String` | `MESSAGE_ATTRIBUTE` |
    `static java.lang.String` | `PATH_ATTRIBUTE` |
    `static java.lang.String` | `RESOURCE_ATTRIBUTE` |
    `private boolean` | `absoluteLinks` |
    `private java.lang.String` | `encoding` |
    `private LinkGenerator` | `linkGenerator` |
    `private org.springframework.context.MessageSource` | `messageSource` |
    `private boolean` | `prettyPrint` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `absoluteLinks`
    `java.lang.String` | `encoding`
    `LinkGenerator` | `linkGenerator`
    `org.springframework.context.MessageSource` | `messageSource`
    `boolean` | `prettyPrint`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractVndErrorRenderer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Class<java.lang.Object>` | `getComponentType()`
    `` | `protected java.lang.Object` | `getObjectId(java.lang.Object target)`
    `` | `java.lang.Class<org.springframework.validation.Errors>` | `getTargetType()`
    `` | `protected java.lang.String` | `resolveLogRef(java.lang.Object target, org.springframework.validation.ObjectError oe)` Resolve the 'logref' attribute for the error

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String HREF_ATTRIBUTE

    - #### public static final java.lang.String LOGREF_ATTRIBUTE

    - #### public static final java.lang.String MESSAGE_ATTRIBUTE

    - #### public static final java.lang.String PATH_ATTRIBUTE

    - #### public static final java.lang.String RESOURCE_ATTRIBUTE

    - #### private boolean absoluteLinks

    - #### private java.lang.String encoding

    - #### @org.springframework.beans.factory.annotation.Autowired private LinkGenerator linkGenerator

    - #### @org.springframework.beans.factory.annotation.Autowired private org.springframework.context.MessageSource messageSource

    - #### private boolean prettyPrint

  - ### Property Detail

    - #### boolean absoluteLinks

    - #### java.lang.String encoding

    - #### @org.springframework.beans.factory.annotation.Autowired LinkGenerator linkGenerator

    - #### @org.springframework.beans.factory.annotation.Autowired org.springframework.context.MessageSource messageSource

    - #### boolean prettyPrint

  - ### Constructor Detail

    - #### AbstractVndErrorRenderer()

  - ### Method Detail

    - #### @java.lang.Override java.lang.Class<java.lang.Object> getComponentType()

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) protected java.lang.Object getObjectId(java.lang.Object target)

    - #### @java.lang.Override java.lang.Class<org.springframework.validation.Errors> getTargetType()

    - #### protected java.lang.String resolveLogRef(java.lang.Object target, org.springframework.validation.ObjectError oe)

      Resolve the 'logref' attribute for the error

      Parameters:
        `target` - The target object that caused the error
        `oe` - The ObjectError instance
      Returns:
        The log reference